Skip to Content
veriom

Create audit profile

POST
/v1/workspaces/{workspace_id}/repositories/{repository_id}/audit-profiles

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Request Body

application/json
  1. body
branch_ref*Branch Ref
Length1 <= length <= 500
name*Name
Length1 <= length <= 100
purpose?Purpose
Lengthlength <= 500
Default""
source_scope?

Response Body

Successful Response

application/json
  1. response
branch_ref*Branch Ref
Length1 <= length <= 500
created_at*Created At
Formatdate-time
created_by*Created By
Formatuuid
id*Id
Formatuuid
name*Name
Length1 <= length <= 100
purpose?Purpose
Lengthlength <= 500
Default""
repository_id*Repository Id
Formatuuid
source_scope?
updated_at*Updated At
Formatdate-time
version*Version
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-profiles' \  -H 'Content-Type: application/json' \  -d '{  "branch_ref": "string",  "name": "string"}'
Example Response
{  "branch_ref": "string",  "created_at": "2019-08-24T14:15:22Z",  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "purpose": "",  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "source_scope": {    "exclude_paths": [      "string"    ],    "include_paths": [      "string"    ]  },  "updated_at": "2019-08-24T14:15:22Z",  "version": 0,  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}